<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class AnmeldedatenSelectorArgument implements IAnmeldedatenSelectorArgument
{
  
  private $hauptTeilnehmerNr;
  
  private $hauptTeilnehmerNrMssql;
  
  private $hauptTeilnehmer;
  private $status;
  
  private $kursnummer;

  
  private $kurs;

  private $abwZahler;

  
  private $isDublette;

  
  private $ePayInfo;

  
  private $ePayId;

  
  private $weitere;

  
  private $gutscheinId;

  public function __construct()
  {
  }

  
  public function getHauptTeilnehmerNr()
  {
    return $this->hauptTeilnehmerNr;
  }

  
  public function getHauptTeilnehmerNrMssql()
  {
    return $this->hauptTeilnehmerNrMssql;
  }

  
  public function getHauptTeilnehmer()
  {
    return $this->hauptTeilnehmer;
  }

  
  public function getStatus()
  {
    return $this->status;
  }

  
  public function getKursnummer()
  {
    return $this->kursnummer;
  }

  
  public function getKurs()
  {
    return $this->kurs;
  }

  public function getIsDublette()
  {
    return $this->isDublette;
  }

  public function getEPayInfo()
  {
    return $this->ePayInfo;
  }

  public function getEPayId()
  {
    return $this->ePayId;
  }

  public function getAbwZahler()
  {
    return $this->abwZahler;
  }

  public function getWeitere()
  {
    return $this->weitere;
  }

  
  public function getGutscheinId()
  {
    return $this->gutscheinId;
  }

  
  public function setHauptTeilnehmerNr($pHauptTeilnehmerNr)
  {
    $this->hauptTeilnehmerNr = $pHauptTeilnehmerNr;
  }

  public function setHauptTeilnehmerNrMssql($pHauptTeilnehmerNr)
  {
    $this->hauptTeilnehmerNrMssql = $pHauptTeilnehmerNr;
  }

  
  public function setHauptTeilnehmer($pHauptTeilnehmer)
  {
    $this->hauptTeilnehmer = $pHauptTeilnehmer;
  }

  
  public function setKursnummer($kursnummer)
  {
    $this->kursnummer = $kursnummer;
    if ($this->kurs !== null && $this->kurs->getVarValue('kursnummer') !== $kursnummer) {
      $this->kurs = null;
    }
  }

  
  public function setKurs($pKurs)
  {
    $this->kurs = $pKurs;
    $this->kursnummer = $pKurs->getVarValue('kursnummer');
  }

  
  public function setStatus($pStatus)
  {
    $this->status = $pStatus;
  }

  public function setIsDublette($pIsDublette)
  {
    $this->isDublette = $pIsDublette;
  }

  public function setEPayInfo($pEPayInfo)
  {
    $this->ePayInfo = $pEPayInfo;
  }

  public function setEPayId($pEPayId)
  {
    $this->ePayId = $pEPayId;
  }

  public function setAbwZahler($pAbwZahler)
  {
    $this->abwZahler = $pAbwZahler;
  }

  public function setWeitere($pWeitere)
  {
    $this->weitere = $pWeitere;
  }

  
  public function setGutscheinId($pGutscheinId)
  {
    $this->gutscheinId = $pGutscheinId;
  }
}